
Foreman - Bug #2090

Dashboard dosen't work

01/02/2013 01:47 PM - Alexander Litvinenko

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Dashboard stopped working. Error when accessing dashboard is "divided by 0", in trace is:

ZeroDivisionError

divided by 0

app/helpers/dashboard_helper.rb:8:in `/'

app/helpers/dashboard_helper.rb:8:in `count_reports'

app/views/dashboard/index.html.erb:40:in `_app_views_dashboard_index_html_erb___1264836471_70197812643080_0'

app/controllers/dashboard_controller.rb:6:in `index'

lib/foreman/threadsession.rb:31:in `clear_thread'

Other tabs like hosts, reports, facts, etc. is working like as usual.

Related issues:

Is duplicate of Foreman - Bug #1475: Can't set the puppet_run interval to les... Resolved 01/29/2012

History

#1 - 01/02/2013 03:54 PM - Sam Kottler

- Assignee deleted (Ohad Levy)

- Target version set to 1.1

Can you give more information about your environment? How many hosts do you have, etc?

#2 - 01/02/2013 04:14 PM - Alexander Litvinenko

It's not production env., first attempts with puppet and foreman.

debian squeeze, foreman 1.1 nightly from deb repo., puppet 3.0.2, ~20 hosts.

Problem appear when i deleted some classes from foreman by hands.

#3 - 01/02/2013 04:14 PM - Alexander Litvinenko

It's not production env., first attempts with puppet and foreman.

debian squeeze, foreman 1.1 nightly from deb repo., puppet 3.0.2, ~20 hosts.

Problem appear when i deleted some classes from foreman by hands.

#4 - 01/02/2013 04:17 PM - Ohad Levy

- Status changed from New to Duplicate

- Target version deleted (1.1)
